{lib, ...}: let
  mkHostOverride = lib.mkOverride 75;
in {
  system.stateVersion = "24.11";

  desktop.enable = true;
  gaming.enable = true;
  nfs.client.enable = true;
  auto_styling.enable = true;

  home-manager.users."lilith".wayland.windowManager.hyprland.settings = {
    input.kb_layout = mkHostOverride "us";

    monitor = mkHostOverride [
      "DP-3, 3840x2160, 0x0, 1.5"
      "DP-4, 2560x1440, 2560x0, 1"
      ",preferred,auto,1"
    ];
  };
}
